import HomePage from "../pages/HomePage";
import LoginPage from "../pages/LoginPage";
import { RouteObject } from "react-router-dom";
import NotFound_404 from "../pages/NotFound_404";
import App from "../App";

// ----- ROUTES CONFIGURATION -----
// Configuration of the application's route structure
const routes: RouteObject[] = [
	{
		path: "/",
		element: <App />,
		children: [
			{
				path: "/",
				element: <HomePage />,
			},
			{
				path: "login",
				element: <LoginPage />,
			},
		],
	},
	{
		path: "*",
		element: <NotFound_404 />,
	},
];
export default routes;
